% carga del disco
HPF = aload ("vloc_hpf.tpo")
MPI = aload ("vloc_mpi.tpo")
OMP = aload ("vida_omp.tpo")

% separa columnas HPF
N1 = HPF (:,1) ;
T1 = HPF (:,4) ;

% separa columnas MPI
N2 = MPI (:,1) ;
T2 = MPI (:,4) ;

% separa columnas MPI
N3 = OMP (:,1) ;
T3 = OMP (:,4) ;

% speed_up teorico = diagonal
D = N1 ;

% speedup experimental
S1_EXP = T1 (1) ./ T1
S2_EXP = T2 (1) ./ T2
S3_EXP = T3 (1) ./ T3

% speedup aproximados
N = 2
[n1  s1_fit ] = fitea (N1, S1_EXP, N) ;
[n2  s2_fit ] = fitea (N2, S2_EXP, N) ;

% grafica
gset nokey
grid
xlabel ('processors number n') 
ylabel ('speed_up = T1 / Tn ') 
plot (N1, D, 'w', N1, S1_EXP, 'xr', n1, s1_fit, 'r', ...
                  N2, S2_EXP, 'xb', n2, s2_fit, 'b', ...
                  N3, S3_EXP, 'xg')
disp ('pausa ... '), pause
tgif ('speedup1')
gset size 4
replot
tgif ('speedup2')
return
