  function [ x y ] = fitea (X, Y, N, n)
% function [ x y ] = fitea (X, Y, N, n)
%
[P  YFIT ] = polyfit (X, Y, N)
%
if  nargin < 4, n = 10  end ; % if
e    = n - 1   ;
xmin = min (X) ;
xmax = max (X) ;
hx   = (xmax - xmin) / e ;
x    = [xmin:hx:xmax]' ;
%
% interpola
y = zeros (n,1);
for k = 0 : N,
  ak = P (N-k+1) ;
  y = y + ak * x.^k;
end ;
% plot (X, Y, 'xg', x, y, 'r')
endfunction
