% carga del disco
HPFL = aload ("vloc_hpf.tpo")
HPFG = aload ("vloc_hpf.tpo")
MPIL = aload ("vglo_mpi.tpo")
MPIG = aload ("vglo_mpi.tpo")

% separa columnas HPF
N1 = HPFL (:,1) ;
T1 = HPFL (:,4) ;
N2 = HPFG (:,1) ;
T2 = HPFG (:,4) ;

% separa columnas MPI
N3 = MPIL (:,1) ;
T3 = MPIL (:,4) ;
N4 = MPIG (:,1) ;
T4 = MPIG (:,4) ;

% speed_up teorico = diagonal
D = N1 ;

% speedup experimental
S1_EXP = T1 (1) ./ T1
S2_EXP = T2 (1) ./ T2
S3_EXP = T3 (1) ./ T3
S4_EXP = T4 (1) ./ T4

% speedup aproximados
N = 2
[n1  s1_fit ] = fitea (N1, S1_EXP, N) ;
[n2  s2_fit ] = fitea (N2, S2_EXP, N) ;
[n3  s3_fit ] = fitea (N3, S3_EXP, N) ;
[n4  s4_fit ] = fitea (N4, S4_EXP, N) ;

% grafica
gset nokey
grid
xlabel ('processors number n') 
ylabel ('speed_up = T1 / Tn ') 
plot (N1, D, 'w', N1, S1_EXP, 'xr', n1, s1_fit, 'r', ...
                  N2, S2_EXP, 'xb', n2, s2_fit, 'b', ...
                  N3, S3_EXP, 'xg', n3, s3_fit, 'g', ...
                  N4, S4_EXP, 'xc', n4, s4_fit, 'c')
disp ('pausa ... '), pause
tgif ('zpeedup1')

gset size 4
replot
tgif ('zpeedup2')
return
